//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using CommunityServer.Components;

namespace CommunityServer.Discussions.Components
{
	/// <summary>
	/// Summary description for PlainTextModule.
	/// </summary>
	public class PlainTextModule : BaseForumFormattedBodyModule
	{
		public PlainTextModule()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		protected override void Format(ForumPost post)
		{
			if (post.PostType == PostContentType.Text)
			{
				post.FormattedBody = Globals.HtmlEncode(post.FormattedBody);
				post.FormattedBody = post.FormattedBody.Replace("\n", Globals.HtmlNewLine);

				// Fix to reverse certain items that were HtmlEncoded above
				post.FormattedBody = Transforms.UnHtmlEncode(post.FormattedBody);
			}
		}
	}
}
